常见问题常见问题   搜索搜索   会员列表会员列表   团队团队   注册注册    个人资料个人资料   登录查看您的站内信件登录查看您的站内信件   登录登录 

软件版本冲突问题

 
发表新文章   回复文章    FreeBSD China -> 初学指南
阅读上一个主题 :: 阅读下一个主题  
作者 留言
chhe
半仙


注册时间: 2005-09-15
文章: 12

文章发表于: Mon 2014-03-10 17:40:33    发表主题: 软件版本冲突问题 引用并回复

安装了pgsql93,结果openerp要90的client,卸掉93,装了openerp后,又强制卸了90,安装93,安装phppgadmin和pgadmin3时都要求90的client才能安装。
在/etc/make.conf加
WANT_PGSQL_VER?=93,然后执行
pkg install pgadmin3,
提示
pkg: WARNING: locally installed postgresql93-client-9.3.3 conflicts on /usr/local/share/postgresql/psqlrc.sample with:- postgresql90-client-9.0.16
请问有什么办法可以在使用pg93的情况下,pkg安装依赖pg90的程序?

_________________
逆水行舟,不进则退!
返回页首
阅览会员资料 发送站内信件
Gehaowu
老妖


注册时间: 2009-07-13
文章: 3189
来自: www

文章发表于: Mon 2014-03-10 18:48:33    发表主题: 引用并回复

make.conf Shocked 指定的只对ports有效的

pkg不归它管

_________________
https://www.daemon.xin from BITMOE.com
礼尚多有往来,意美人常在
Simplified Chinese Shell/csh,Traditional Chinese Shell/tcsh
返回页首
阅览会员资料 发送站内信件 发送电子邮件 浏览发表者的主页
chhe
半仙


注册时间: 2005-09-15
文章: 12

文章发表于: Tue 2014-03-11 08:15:39    发表主题: 引用并回复

我的软件都是用pkg安装的,有没有办法解决?
_________________
逆水行舟,不进则退!
返回页首
阅览会员资料 发送站内信件
Gehaowu
老妖


注册时间: 2009-07-13
文章: 3189
来自: www

文章发表于: Tue 2014-03-11 08:31:43    发表主题: 引用并回复

chhe 写到:
我的软件都是用pkg安装的,有没有办法解决?


自己编译, 并创建 pkg 软件仓库
之后通过这个软件仓库安装

Shocked

_________________
https://www.daemon.xin from BITMOE.com
礼尚多有往来,意美人常在
Simplified Chinese Shell/csh,Traditional Chinese Shell/tcsh
返回页首
阅览会员资料 发送站内信件 发送电子邮件 浏览发表者的主页
chhe
半仙


注册时间: 2005-09-15
文章: 12

文章发表于: Tue 2014-03-11 08:50:17    发表主题: 引用并回复

谢谢!
_________________
逆水行舟,不进则退!
返回页首
阅览会员资料 发送站内信件
从以前的文章开始显示:   
发表新文章   回复文章    FreeBSD China -> 初学指南 论坛时间为 北京时间
1页/共1

 
转跳到:  
不能发布新主题
不能在这个论坛回复主题
不能在这个论坛编辑自己的文章
不能在这个论坛删除自己的文章
不能在这个论坛发表投票


Powered by phpBB 2023cc © 2003 Opensource Steps; © 2003-2009 The FreeBSD Simplified Chinese Project
Powered by phpBB © 2001, 2005 phpBB Group
Protected by Project Honey Pot and phpBB.cc
silvery-trainer
The FreeBSD China Project 网站: 中文计划网站 社区网站
The FreeBSD China Project 版权所有 (C) 1999 - 2003 网页设计版权 著作权和商标